@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,300;0,400;1,300;1,400&family=Open+Sans:wght@300;400;600&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,600&family=Quicksand:wght@300&display=swap");

:root {
  --color-primary: #999d9e;
  --color-grey-light-1: #faf9f9;
  --color-grey-light-2: #f4f2f2;
  --color-grey-light-4: #ccc;
  --color-grey-dark-1: #333;
  --color-grey-dark-2: #777;
  --color-grey-dark-3: #999;
  --color-white: #777;
  --color-black-dark-1: #23201d;
  --color-border-light: rgba(255, 255, 255, 0.2);
  --gap-padding: clamp(1.5em, 4vw, 2.5em);
  --clr: #999d9e;
}

::selection {
  background-color: var(--color-primary);
  color: var(--color-white);
  text-shadow: none;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}
.container-main {
  max-width: 1250px;
  margin-left: auto;
  margin-right: auto;
  padding: 0 16px;

}

.container {
  max-width: 120rem;
  min-height: 100vh;
}

body {
  font-family: "Poppins", sans-serif;
  font-size: 1.6rem;
  color: #fff;
  background-color: var(--color-black-dark-1);
  height: 100%;
}
.cursor {
  position: fixed;
  width: 40px;
  height: 40px;
  margin-left: -20px;
  margin-top: -20px;
  border-radius: 50%;
  border: 2px solid var(--color-grey-light-1);
  transition: transform 0.3s ease;
  transform-origin: center center;
  pointer-events: none;
  z-index: 1000;
}
.cursor-scale {
  cursor: pointer;
  transition: transform 0.3s;
}

.cursor-scale:hover {
  transform: scale(1.05);
}

.grow,
.grow-small {
  transform: scale(10);
  background: #fff;
  mix-blend-mode: difference;
  border: none;
}

.grow-small {
  transform: scale(2.5);
}
.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-block: 1rem;
  width: 90%;
  width: 100%;
  margin-inline: auto;
  padding-inline: 2.5rem 0;
}
.logo-main {
  display: flex;
  align-items: center;
  margin-top: 1.5rem;
}
.logo-main img {
  height: 7rem;
  width: 7rem;
  border-radius: 50%;
}

.nav-list {
  position: relative;
  display: flex;
  list-style: none;
}
.nav-item {
  width: 10rem;
  text-align: center;
  padding-block: 1rem;
  transform: rotate(0.001deg);
}
.nav-link {
  text-transform: uppercase;
  font-size: 1.6rem;
  font-weight: 400;
}
a {
  text-decoration: none;
  color: inherit;
}

.active {
  position: absolute;
  bottom: -1rem;
  height: 5px;
  width: 0.5rem;
  background-color: #fff;
  transition: transform 0.25s;
  margin-left: 45px;
  border-radius: 50px;
  padding: 5px;
}
.nav-item:nth-child(2):hover ~ .active {
  transform: translateX(10rem);
}
.nav-item:nth-child(3):hover ~ .active {
  transform: translateX(20rem);
}
.nav-item:nth-child(4):hover ~ .active {
  transform: translateX(30rem);
}



.section-contact {
  padding-bottom: 1px;
  position: relative;
}
.container-contact {
  margin-left: auto;
  margin-right: auto;
  max-width: 1140px;
  padding-left: 20px;
  padding-right: 20px;
  width: 100%;
}

.section-contact-title {
  position: absolute;
  top: 10rem;
  right: 35rem;
  line-height: 1.1;
  margin-bottom: 0px;
  max-width: 350px;
}
.section-contact-title span {
  display: block;
  font-size: 8rem;
}

.section-contact-title span:nth-child(n + 2) {
  margin-top: -0.22em;
}

.section-contact-caption {
  align-items: flex-end;
  border-bottom: 3px solid #fff;
  display: flex;
  flex-direction: row-reverse;
  font-size: 25px;
  justify-content: space-between;
  /* margin-bottom: 70px; */
  /* margin-left: auto; */
  padding-bottom: 2px;
  position: relative;
  top: -32rem;
  left: 10rem;
  width: calc(35vw - 200px);
}
.section-contact-email {
  top: -25rem;
  left: 10rem;
  /* margin-bottom: 110px; */
  padding-top: 50px;
  position: relative;
  text-align: right;
}
.section-contact-email svg {
  height: 17px;
  position: absolute;
  right: 160px;
  top: 0;
  width: 16px;
}
svg {
  fill: currentColor;
  font-size: 20px;
}
.e-mail {
  font-size: 20px;
  color: currentColor;
  text-decoration: none;
  transition: color 0.15s;
  line-height: 1.8;
}
.section-contact-email .mob-no {
  display: flex;
  justify-content: center;
  font-size: 18px;
  text-align: center;
}

.row {
  display: flex;
  flex-wrap: wrap;
  position: absolute;
}
.flex-col {
  display: block;
  width: 100%;
  order: 2;
  position: relative;
}

.contact-header .form {
  background: var(--color-dark);
}

.form {
  width: 100%;
  display: block;
  /* margin: 0 0 0  8rem; */
  padding: 0 0 0 8rem;
}

form {
  display: block;
  margin-top: 0;
}
.form-col {
  display: block;
  width: 100%;
  font-size: 2rem;
  /* border-top: .1px solid var(--color-border-light); */
  border-bottom: 0.1px solid var(--color-border-light);
  padding: 0 3rem;
  position: relative;
}
.border-top {
  border-top: 0.1px solid var(--color-border-light);
}
.form .form-col h5 {
  position: absolute;
  left: -25px;
  top: 2em;
  opacity: 0.33;
}
.form .label {
  width: 100%;
  display: block;
  margin-bottom: 0;
  color: #fff;
  font-weight: 450;
  padding-top: 1.66em;
  transition: all 0.2s ease-in-out;
}
.form .field {
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  width: 100%;
  padding: 1em 0 2em 0;
  border: 0;
  outline: none;
  background: transparent;
  border-radius: 0;
  font-weight: 450;
  font-size: 1em;
  color: var(--color-white);
  display: block;
  margin-top: -0.33em;
  background: transparent !important;
}
input {
  line-height: normal;
}
.btn-contact-send {
  position: absolute;
  bottom: -45rem;
  right: 15rem;
  list-style: none;
}
.business-details {
  position: absolute;
  top: 0;
  right: -7rem;
  list-style: none;
}
.links-wrap {
  list-style: none;
  padding: 5px auto;
}
.links-wrap-5 {
  font-size: 20px;
  margin-top: 10px;
  text-decoration: underline;
}
.btn-text-inner {
  font-size: 14px;
  line-height: 1.2;
  transition: all .5s;
}
.fb:hover {
  background-color: #f0f2f5;
  color: #0571ed;
  font-weight: bolder;
  padding: 5px 10px;
  border-radius: 5px;
}
.insta:hover {
  background-color: #fff;
  color: #ff3040;
  font-weight: bolder;
  padding: 5px 10px;
  border-radius: 5px;
}

.twitter:hover {
  background-color: #fff;
  color: #1d9bf0;
  font-weight: bolder;
  padding: 5px 10px;
  border-radius: 5px;
}
.linkedin:hover {
  background-color: #fff;
  color: #0a66c2;
  font-weight: bolder;
  padding: 5px 10px;
  border-radius: 5px;
}
/* new code added for testing */



button {
  display: flex;
  justify-content: center;
  align-items: center;
  /* margin: 10rem -23rem 5rem auto; */
  transform: translate(50rem,10rem);
  margin-bottom: 8rem;
}

.btn-animated-submit {
  position: relative;
  background: var(--color-black-dark-1);
  color: #fff;
  text-decoration: none;
  font-size: 2rem;
  letter-spacing: 0.1rem;
  font-weight: 400;
  padding: 10px 30px;
  transition: 0.5s;
}

.btn-animated-submit:hover {
  background: var(--clr);
  color: var(--clr);
  letter-spacing: 0.025em;
  box-shadow: 0 0 35px var(--clr);
}

.btn-animated-submit::before {
  content: "";
  position: absolute;
  inset: 2px;
  background: var(--color-black-dark-1);
}

.btn-animated-submit-1a {
  position: relative;
  z-index: 1;
}

.btn-animated-submit-1b {
  position: absolute;
  inset: 0;
  display: block;
}

.btn-animated-submit-1b::before {
  content: "";
  position: absolute;
  top: -6px;
  left: 100%;
  width: 10px;
  height: 10px;
  background: var(--color-black-dark-1);
  transform: translateX(-50%);
  border: 2px solid var(--clr);
  transition: 0.5s;
}

.btn-animated-submit-1b::after {
  content: "";
  position: absolute;
  bottom: -6px;
  left: 0%;
  width: 10px;
  height: 10px;
  background: var(--color-black-dark-1);
  transform: translateX(-50%);
  border: 2px solid var(--clr);
  transition: 0.5s;
}

.btn-animated-submit:hover .btn-animated-submit-1b::before {
  left: 0%;
  transform: translate(-50%) rotate(45deg);
  box-shadow: 39px 38px var(--clr);
}

.btn-animated-submit:hover .btn-animated-submit-1b::after {
  left: 100%;
  transform: translateX(-50%) rotate(-45deg);
  box-shadow: 38px -39px var(--clr);
}

/* @media screen and (max-width: 1440px) { 

   html{
    font-size: 55%;
  } 
  .navbar {
    margin: 0;
  }
  .row {
    position: relative;
    bottom: 23rem;
  }

  .form {
    margin: -4rem 3rem;
  }

  .flex-col {
    width: 100%;
    position: relative;
    top: 2rem;
    left: 0rem;
  }
  .section-contact-caption {
    flex-direction: row;
    align-items: center;
    width: 24%;
    top: 50rem;
    left: 16rem;
  }

  .section-contact-caption span:first-child {
    margin-bottom: 2px;
  }

  .section-contact-email {
    top: 31rem;
    left: 55rem;
    text-align: center;
  }
  .e-mail {
    font-size: 21px;
  }

  .section-contact-email svg {
    position: absolute;
    height: 17px;
    right: 160px;
    top: 0;
    width: 16px;
  }

  .section-contact-email .mob-no {
    font-size: 18px;
    position: absolute;
    top: 13rem;
    left: 15rem;
  }

  .btn-contact-send {
    position: absolute;
    top: 100rem;
    right: 6rem;
  }

  .links-wrap li {
    margin-right: 1rem;
  }

  .btn-text {
    padding: 0.5rem 5rem;
  }
  .btn-text-social {
    padding: 0.5rem 0;
  }
}  */
/* 
@media screen and (max-width: px) {
  .section-contact-title {
    position: absolute;
    top: 15rem;
    right: 50rem;
  }

  .section-contact-title span {
    position: relative;
    bottom: 0;
    left: 26rem;
    font-size: 6rem;
  }

  .section-contact-caption {
    flex-direction: row;
    align-items: center;
    width: 24%;
    top: 45rem;
    left: 11rem;
  }

  .section-contact-caption span:first-child {
    margin-bottom: 2px;
  }

  .section-contact-email {
    top: 21rem;
    left: 60rem;
    text-align: center;
  }
  .e-mail {
    font-size: 23px;
  }

  .section-contact-email svg {
    position: static;
    margin-right: 5px;
  }
  .section-contact-email .mob-no {
    font-size: 18px;
    position: absolute;
    top: 13rem;
    left: 15rem;
  }

  .row {
    position: relative;
    bottom: 20rem;
  }

  .form {
    margin: -4rem 2rem;
  }

  .flex-col {
    width: 100%;
    position: relative;
    top: 20rem;
  }

  .btn-contact-send {
    position: absolute;
    top: 85rem;
    right: 5rem;
  }

  .links-wrap li {
    margin-right: 1rem;
  }

  .btn-text {
    padding: 0.5rem 5rem;
  }
  .btn-text-social {
    padding: 0.5rem 0;
  }
} */

@media screen and (max-width: 1024px) {
  .container-main {
    width: 100%;
    height: 100vh;
  }
  .container {
    width: 100%;
  }
  .navbar {
    flex-direction: column;
  }
  .nav-list {
    flex-direction: column;
  }

  .section-contact-title {
    right: 35rem;
  }

  .section-contact-title span {
    display: block;
    font-size: 6rem;
  }
  .flex-col {
    width: 100%;
    position: relative;
    top: 20rem;
    left: 0rem;
  }
  .section-contact-caption {
    flex-direction: row-reverse;
    align-items: center;
    width: 100%;
    top: 0;
    left: 0;
  }
  .section-contact-email {
    top: 5rem;
    left: 2rem;
    text-align: center;
  }
  .section-contact-email svg {
    position: absolute;
    height: 20px;
    right: 129px;
    top: 0;
    width: 18px;
  }
  .section-contact-email .mob-no {
    font-size: 18px;
    position: absolute;
    top: 13rem;
    left: 6rem;
  }
  .btn-contact-send {
    position: absolute;
    top: 76rem;
    right: 6rem;
  }
  .business-details {
    position: absolute;
    top: 30rem;
    right: -2rem;
    list-style: none;
}
button {
  margin: 8rem -7rem -19rem auto;
}
}

@media screen and (max-width: 768px) {
  .container-main {
    width: 100%;
    height: 100vh;
}
  .container {
    max-width: 100%;
    min-height: auto;
  }

  .navbar {
    flex-direction: column;
    margin: 0;
  }

  .nav-list {
    align-items: center;
    margin-bottom: 2rem;
  }

  

  .active {
    position: static;
    margin-left: 0;
    margin-top: 0.5rem;
    margin-bottom: 1rem;
  }

  .logo-main {
    margin: 2rem auto;
    text-align: center;
  }

  .logo-main img {
    height: 6rem;
    width: 6rem;
  }
  .section-contact-title {
    position: absolute;
    right: 55rem;
    text-align: start;
    top: 1rem;
  }
  .section-contact-title span {
    position: relative;
    bottom: 0;
    left: 27rem;
    font-size: 5.8rem;
  }
  .section-contact-email {
    top: 20rem;
    left: 48rem;
    text-align: center;
  }
  
  .e-mail {
    font-size: 18px;
  }

  .section-contact-email svg {
    position: absolute;
    margin-right: 5px;
    height: 15px;
    right: 8rem;
    top: 2rem;
  }
  .section-contact-email .mob-no {
    font-size: 16px;
    position: absolute;
    top: 13rem;
    left: 5rem;
  }
  .btn-contact-send {
    position: absolute;
    top: 46rem;
    right: 3rem;
  }
  .flex-col {
    width: 80%;
    position: relative;
    top: 20rem;
    left: 0rem;
  }
  .form {
    width: 90%;
    display: block;
    /* margin: 0 0 0 8rem; */
    padding: 6rem 0 0 6rem;
    font-size: 1rem;
}
.form .field{
  font-size: 1.8rem;
}
  .section-contact-caption {
    flex-direction: row-reverse;
    align-items: center;
    width: 100%;
    top: 6rem;
    left: 1.4rem;
    font-size: 2rem;
  }
  .section-contact-email {
    top: 14rem;
    left: 2rem;
    text-align: center;
  }
  .section-contact-email svg {
    position: absolute;
    height: 20px;
    right: 129px;
    top: 0;
    width: 18px;
  }
  .section-contact-email .mob-no {
    font-size: 16px;
    position: absolute;
    top: 17rem;
    left: 7rem;
  }
  .btn-contact-send {
    position: absolute;
    top: 57rem;
    right: 6rem;
  }
  .business-details {
    position: absolute;
    top: 50rem;
    right: -2rem;
    list-style: none;
}
button {
  margin: 8rem -7rem -19rem auto;
}
}


@media screen and (max-width: 425px) {
  /* .container-main {
    width: 100%;
    height: 100vh;
}
  .container {
    max-width: 100%;
    min-height: auto;
  }

  .navbar {
    flex-direction: column;
    margin: 0;
  }

  .nav-list {
    align-items: center;
    margin-bottom: 2rem;
  }


  .active {
    position: static;
    margin-left: 0;
    margin-top: 0.5rem;
    margin-bottom: 1rem;
  }

  .logo-main {
    margin: 2rem auto;
    text-align: center;
  }

  .logo-main img {
    height: 6rem;
    width: 6rem;
  } */
  .section-contact-title {
    position: absolute;
    right: 41rem;
    text-align: start;
    top: 5rem;
  }
  .section-contact-title span {
    position: relative;
    bottom: 0;
    left: 28rem;
    font-size: 5rem;
  }
  .section-contact-email {
    top: 20rem;
    left: 48rem;
    text-align: center;
  }
  
  .e-mail {
    font-size: 18px;
  }

  .section-contact-email svg {
    position: absolute;
    margin-right: 5px;
    height: 15px;
    right: 8rem;
    top: 2rem;
  }
  .section-contact-email .mob-no {
    font-size: 16px;
    position: absolute;
    top: 13rem;
    left: 5rem;
  }
  .btn-contact-send {
    position: absolute;
    top: 46rem;
    right: 3rem;
  }
  .flex-col {
    width: 80%;
    position: relative;
    top: 20rem;
    left: 0rem;
  }
  .form {
    width: 90%;
    display: block;
    /* margin: 0 0 0 8rem; */
    padding: 6rem 0 0 5rem;
    font-size: 1rem;
}
.from col{
  font-size: 1.8rem;
  padding: 0 1rem;
}
.form .field{
  font-size: 1.5rem;
}
  .section-contact-caption {
    flex-direction: row-reverse;
    align-items: center;
    width: 100%;
    top: 6rem;
    left: 1.4rem;
    font-size: 2rem;
  }
  .section-contact-email {
    top: 14rem;
    left: 2rem;
    text-align: center;
  }
  .section-contact-email svg {
    position: absolute;
    height: 20px;
    right: 129px;
    top: 0;
    width: 18px;
  }
  .section-contact-email .mob-no {
    font-size: 16px;
    position: absolute;
    top: 14rem;
    left: 3rem;
  }
  .btn-contact-send {
    position: absolute;
    top: 142rem;
    right: 13rem;
  }
  .business-details {
    position: absolute;
    top: 42rem;
    right: -2rem;
    list-style: none;
}
button {
  position: absolute;
  top: 152rem;
  left: 13rem;
  margin: 8rem -7rem -19rem auto;
}

}

@media screen and (max-width:375px) {
  .section-contact-title {
    position: absolute;
    right: 38rem;
    text-align: start;
    top: 5rem;
}
.form .label{
  font-size: 1.6rem;
}
.btn-contact-send {
  position: absolute;
  top: 136rem;
  right: 8rem;
}
button {
  position: absolute;
  top: 150rem;
  left: 13rem;
}
.business-details {
  position: absolute;
  top: 42rem;
  right: 0rem;
  list-style: none;
}
  
}

@media screen and (max-width:320px) {
  .section-contact-title {
    position: absolute;
    right: 35rem;
    text-align: start;
    top: 5rem;
}
.form .label{
  font-size: 1.5rem;
}
.btn-contact-send {
  position: absolute;
  top: 139rem;
  right: 8rem;
}
button {
  position: absolute;
  top: 149rem;
  left: 10rem;
}
  
}